Update a workspace
curl --request PATCH \
--url https://my.orq.ai/v2/workspaces/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"logo_url": "<string>",
"archived": true,
"settings": {
"same_project_entities_enabled": true,
"model_garden_settings": {},
"plugins": {}
},
"metadata": {},
"enforce_enabled_models": true,
"chat_kit": {
"items": [
{
"id": "<string>",
"display_name": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}
]
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
logo_url: '<string>',
archived: true,
settings: {same_project_entities_enabled: true, model_garden_settings: {}, plugins: {}},
metadata: {},
enforce_enabled_models: true,
chat_kit: {
items: [
{
id: '<string>',
display_name: '<string>',
resource_id: '<string>',
resource_type: '<string>'
}
]
}
})
};
fetch('https://my.orq.ai/v2/workspaces/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/workspaces/{key}"
payload = {
"display_name": "<string>",
"logo_url": "<string>",
"archived": True,
"settings": {
"same_project_entities_enabled": True,
"model_garden_settings": {},
"plugins": {}
},
"metadata": {},
"enforce_enabled_models": True,
"chat_kit": { "items": [
{
"id": "<string>",
"display_name": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"workspace": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"logo_url": "<string>",
"archived_on": "2023-11-07T05:31:56Z",
"archived_by_id": "<string>",
"organization": {
"id": "<string>",
"key": "<string>"
},
"settings": {
"same_project_entities_enabled": true,
"model_garden_settings": {},
"plugins": {}
},
"sidebar_version": "<string>",
"features": {},
"total_members": 123,
"metadata": {},
"capabilities": {
"roles": [
"<string>"
],
"projects": [
"<string>"
]
}
}
}Workspaces
Update a workspace
Partially updates a workspace. Omit a field to leave it unchanged. Set archived to true to archive, false to restore. The workspace key cannot be changed.
PATCH
/
v2
/
workspaces
/
{key}
Update a workspace
curl --request PATCH \
--url https://my.orq.ai/v2/workspaces/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"logo_url": "<string>",
"archived": true,
"settings": {
"same_project_entities_enabled": true,
"model_garden_settings": {},
"plugins": {}
},
"metadata": {},
"enforce_enabled_models": true,
"chat_kit": {
"items": [
{
"id": "<string>",
"display_name": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}
]
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
logo_url: '<string>',
archived: true,
settings: {same_project_entities_enabled: true, model_garden_settings: {}, plugins: {}},
metadata: {},
enforce_enabled_models: true,
chat_kit: {
items: [
{
id: '<string>',
display_name: '<string>',
resource_id: '<string>',
resource_type: '<string>'
}
]
}
})
};
fetch('https://my.orq.ai/v2/workspaces/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/workspaces/{key}"
payload = {
"display_name": "<string>",
"logo_url": "<string>",
"archived": True,
"settings": {
"same_project_entities_enabled": True,
"model_garden_settings": {},
"plugins": {}
},
"metadata": {},
"enforce_enabled_models": True,
"chat_kit": { "items": [
{
"id": "<string>",
"display_name": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"workspace": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"logo_url": "<string>",
"archived_on": "2023-11-07T05:31:56Z",
"archived_by_id": "<string>",
"organization": {
"id": "<string>",
"key": "<string>"
},
"settings": {
"same_project_entities_enabled": true,
"model_garden_settings": {},
"plugins": {}
},
"sidebar_version": "<string>",
"features": {},
"total_members": 123,
"metadata": {},
"capabilities": {
"roles": [
"<string>"
],
"projects": [
"<string>"
]
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?